<?php namespace App\Models\HDL;

use App\Models\EloquentFix, Config;

class BaseControl extends EloquentFix {

	public function device()
	{
		return $this->belongs_to('App\Models\HDL\Device', 'device_id');
	}

	public function command()
	{
		return $this->belongs_to('App\Models\HDL\Command', 'command_id');
	}

	public function group()
	{
		return $this->belongs_to('App\Models\HDL\Group', 'group_id');
	}
}