<?=View::make('system.inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars() )->render()?>

	<div class="container-fluid">
		<h1>Answerback params</h1>
		<table class="table table-striped">
			<thead>
				<tr>
					<th>Name</th>
					<th>Value</th>
					<th>Feedback</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody>
				<?foreach ($items->results as $item):?>
					<tr>
						<td><?= $item->title?></td>
						<td><?= $item->value?></td>
						<td><?= $item->answerback->title?></td>
						
						<td><a class="btn" href="/hdl/answerbackparam/edit/<?= $item->id?>"><i class="icon-edit"></i> edit</a></td>
					</tr>
				<?endforeach;?>
			</tbody>
		</table>
		<?=$items->links(); ?>
		<a class="btn btn-primary" href="/hdl/answerbackparam/create"><i class="icon-edit icon-white"></i> add</a>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars() )->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars() )->render()?>
	</footer>
</body>
</html>