<?=View::make('inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('inc.header', get_defined_vars() )->render()?>
	<?
		$param_type_toggle = Config::get('application.command.params.types.toggle');
		$param_type_range  = Config::get('application.command.params.types.range');
		$param_type_free   = Config::get('application.command.params.types.free');
		$groups = array();
		$groups_colors = array('group_killarney', 'group_fostid', 'group_calico', 'group_limpopo');
		$groups_colors_cnt = count($groups_colors);
	?>
	<div class="container-fluid">
	<div class="row-fluid">
	<div class="main-field span12">
		<?foreach ($switchers as $switcher):?>
			<?
				$check_params = Cache::get($switcher::$table .'_'. $switcher->id);
				if (!empty($check_params))
					$switcher->params = $check_params;

				foreach ($switcher->command->params as $param) {
					if ($param->type == $param_type_toggle) {
						$switcher->switch_type = "<i class=\"icon-off\"></i>";
						break;
					}

					if ($param->type == $param_type_range) {
						$switcher->switch_type = "<i class=\"icon-signal\"></i>";
						break;
					}

					if ($param->type == $param_type_free)
						break;
				}
				$switcher->main_param = $param;

				if (!empty($switcher->group)){
					$group_key = (int) $switcher->group->weight .'|'. $switcher->group->id;
					if (empty($groups[$group_key]))
						$groups[$group_key] = array('switchers' => array(), 'sensors' => array(), 'group' => $switcher->group);

					$groups[$group_key]['switchers'][] = $switcher;
					continue;
				}
			?>
			<?=View::make('home.switcher', get_defined_vars() )->render()?>
		<?endforeach;?>


		<?foreach ($sensors as $sensor):?>
			<?
				$sensor->main_param = $sensor->command->params[0];

				$check_params = Cache::get($sensor::$table .'_'. $sensor->id);
				if (!empty($check_params))
					$sensor->params = $check_params;

				if (!empty($sensor->group)){
					$group_key = (int) $sensor->group->weight .'|'. $sensor->group->id;
					if (empty($groups[$group_key]))
						$groups[$group_key] = array('switchers' => array(), 'sensors' => array(), 'group' => $sensor->group);

					$groups[$group_key]['sensors'][] = $sensor;
					continue;
				}
			?>
			<?=View::make('home.sensor', get_defined_vars() )->render()?>
		<?endforeach;?>

		<?foreach ($groups as $key => $group):?>
			<div class="cntr_group <?=$groups_colors[(rand(0,100)%$groups_colors_cnt)]?>">
				<div class="cntr_group_tag"><?=$group['group']->title?><button type="button" class="close">×</button></div>
				<div class="item_box group_item">
					<span class="tag"><i class="icon-folder-open"></i></span>
					<div class="group_descr"><?=$group['group']->title?></div>
					<div class="group_cnt"><?=(count($group['switchers'])+count($group['sensors']))?></div>
				</div>
				<?if (!empty($group['switchers'])):?>
					<?foreach ($group['switchers'] as $switcher):?>
						<?=View::make('home.switcher', get_defined_vars() )->render()?>
					<?endforeach;?>
				<?endif;?>

				<?if (!empty($group['sensors'])):?>
					<?foreach ($group['sensors'] as $sensor):?>
						<?=View::make('home.sensor', get_defined_vars() )->render()?>
					<?endforeach;?>
				<?endif;?>
			</div>
		<?endforeach;?>
	</div>

	<div class="console"></div>
	</div>
	</div>

	<?=View::make('home.socket', get_defined_vars() )->render()?>

	<?=View::make('inc.scripts', get_defined_vars() )->render()?>
	<?=View::make('home.scripts', get_defined_vars() )->render()?>
	<?=View::make('home.add_control_modal', get_defined_vars() )->render()?>

</body>
</html>