<script src="/js/jquery/jquery.knob.js"></script>
<script>
	$(function() {
		// для спичеров позволяем задавать градацию через обработку release
		$('.knob').knob({
			'release' : function (v) {
				form = this.$.parents('form')

				uri = form.serialize()+'&'+this.$.attr('name')+'='+this.$.val()

				console.log(uri)
				$.post($(this).attr('action'), uri)
			}
		});

		// если кликаем по свичеру
		$('.switcher_box .knob').click(function() {
			$(this).val($(this).val() > 0 ? $(this).attr('data-min') : $(this).attr('data-max')).trigger('change')
		});

		$('.item_box form').submit(function () {
			submit_btn = $(this).find('input[type="submit"]')
			uri = $(this).serialize()+'&'+submit_btn.attr('name')+'='+submit_btn.val()

			console.log(uri)
			$.post($(this).attr('action'), uri)
			return false;
		});

		// открываем группы
		$('.group_item').click(function () {
			group_cntr = $(this).parent();

			if (!group_cntr.hasClass('open')) {
				group_cntr.addClass('open');
				$(this).addClass('open');
				$(this).find('.group_descr').hide(0);
				$(this).find('.group_cnt').hide(0, function () {
					group_cntr.find('.cntr_group_tag').show(0);
					group_cntr.find('.group_item').hide(0);
					group_cntr.addClass('done');
				});
			}
		});

		// закрываем группы
		$('.cntr_group_tag').click(function () {
			group_cntr = $(this).parent();

			if (group_cntr.hasClass('open')) {
				group_cntr.removeClass('open');
				group_cntr.removeClass('done');
				group_item = group_cntr.find('.group_item');
				group_item.show(0);
				group_item.removeClass('open');
				group_cntr.find('.cntr_group_tag').hide(0);
				group_item.find('.group_descr').show(0);
				group_item.find('.group_cnt').show(0);
			}
		});

		$('#log-switch').click(function () {
			if ($(this).val().length) {
				$('.main-field').removeClass('span10')
				$('.main-field').addClass('span12')

				$('.console').removeClass('span2')
				$('.console').hide()

				$(this).val('')
				$(this).text('Show history')
			} else {
				$('.main-field').removeClass('span12')
				$('.main-field').addClass('span10')

				$('.console').addClass('span2')
				$('.console').show()

				$(this).val('shown')
				$(this).text('Hide history')
			}
		})

		$('.console').height($(window).height() - 100);
	});
</script>