<script src="/socket.io/socket.io.js"></script>
<script>
	var socket = io.connect();
	socket.on('switcher', function (switcher) {
		console.log(switcher);
		// проходим по всем параметрам 
		for (param_id in switcher.params) {
			// если текстовое поле для этого параметра то обновляем поле
			if ($('.switcher_'+ switcher.id +' input[name="switcher_param['+ param_id +']"]').length) {
				input = $('.switcher_'+ switcher.id +' input[name="switcher_param['+ param_id +']"]');
				item_box = input.parents('.item_box')

				real_value = switcher.params[param_id]
				log_value  = real_value
				badge_class = ''

				if (input.attr('data-device-type') == 'universal_switch') {
					if (switcher.params[param_id] == 1) {
						switcher.params[param_id] = input.attr('data-max')
						log_value = 'On'
						badge_class = 'badge-success'
					} else {
						log_value = 'Off'
						badge_class = 'badge-warning'
					}
				} else {
					if (log_value == 100) {
						log_value = 'On'
						badge_class = 'badge-success'
					}

					if (log_value == 0) {
						log_value = 'Off'
						badge_class = 'badge-warning'
					}
				}

				if (item_box.attr('switcher_val') != real_value)
				{
					date = new Date()
					$('.console').prepend('<div class="item_box log-row"><span class="tag">'+ date.getHours() +':'+ date.getMinutes() +':'+ date.getSeconds() +'</span><div class="msg"><span class="label label-info">'+ switcher.title +'</span> <span class="badge '+ badge_class +' pull-right">'+ log_value +'</span></div>');
				}

				item_box.attr('switcher_val', switcher.params[param_id])
				item_box.attr('param_selector', '.switcher_'+ switcher.id +' input[name="switcher_param['+ param_id +']"]')

				item_box.animate({opacity:0.1}, 400, function(){
					$($(this).attr('param_selector')).val($(this).attr('switcher_val')).trigger('change');
					$(this).animate({opacity:1})
				});

				continue;
			}
		}
	});

	socket.on('sensor', function (sensor) {
		console.log(sensor);

		// проходим по всем параметрам 
		for (var param_id in sensor.params) {
			// если поле для этого параметра то обновляем поле
			if ($('.sensor_param_'+ param_id).length) {
				input = $('.sensor_param_'+ param_id);
				item_box = input.parents('.item_box')

				real_value = sensor.params[param_id]
				log_value  = real_value
				badge_class = ''

				if (item_box.attr('sensor_val') != real_value)
				{
					date = new Date()
					$('.console').prepend('<div class="item_box log-row"><span class="tag">'+ date.getHours() +':'+ date.getMinutes() +':'+ date.getSeconds() +'</span><div class="msg"><span class="label label-info">'+ sensor.title +'</span> <span class="badge '+ badge_class +' pull-right">'+ log_value +'</span></div>');
				}

				item_box.attr('sensor_val', sensor.params[param_id])
				item_box.attr('param_selector', '.sensor_param_'+ param_id)

				item_box.animate({opacity:0.1}, 400, function(){
					$($(this).attr('param_selector')).val($(this).attr('sensor_val')).trigger('change');
					$(this).animate({opacity:1})
				});

				continue;
			}
		}
	});
</script>