<?=View::make('system.inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars() )->render()?>

	<div class="container-fluid">

		<h1><?= ($create ? 'Добавить группу' : 'Редактировать группу')?></h1>

		<?	if($errors->has('model_create_fail'))
				echo '<span class="label label-important">Ошибка</span> Не удалось добавить группу<br/>';
		?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?if(!$create):?>
				<?= Form::hidden('id', $group->id)?>
			<?endif;?>
			
			<?	if($errors->has('title'))
					echo $errors->first('title'), '<br/>';
			?>

			<?= Form::label('title', 'Название группы: ') ?>
			<?= Form::text('title', ( Input::old('title') || $create ? Input::old('title') : $group->title )) ?> <br/><br/>

			<?	if($errors->has('weight'))
					echo $errors->first('weight'), '<br/>';
			?>

			<?= Form::label('weight', 'Вес группы: ') ?>
			<?= Form::text('weight', ( Input::old('weight') || $create ? Input::old('weight') : $group->weight )) ?> <br/><br/>

			<?= Form::submit(($create ? 'Добавить' : 'Сохранить'), array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>

		<?if(!$create):?>
			<?= Form::open('hdl/group/delete') ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', $group->id)?>

				<?= Form::submit('Удалить', array('class' => 'btn btn-danger')) ?>
								<span class="label label-important">Внимание!</span> <strong>Элементы управления находящиеся в этой группе останутся без группы.</strong>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars() )->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars() )->render()?>
	</footer>
</body>
</html>