<?=View::make('system.inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars() )->render()?>

	<div class="container-fluid">
		<h1>Сенсоры</h1>
		<table class="table table-striped">
			<thead>
				<tr>
					<th>Заголовок</th>
					<th>Устройство</th>
					<th>Команда</th>
					<th>Действия</th>
				</tr>
			</thead>
			<tbody>
				<?foreach ($items->results as $item):?>
					<tr>
						<td><?= $item->title?></td>
						<td><?= $item->device->title?></td>
						<td><?= $item->command->title?></td>
						
						<td><a class="btn" href="/hdl/sensor/edit/<?= $item->id?>"><i class="icon-edit"></i> Редактировать</a></td>
					</tr>
				<?endforeach;?>
			</tbody>
		</table>
		<?=$items->links(); ?>
		<a class="btn btn-primary" href="/hdl/sensor/create"><i class="icon-edit icon-white"></i> Добавить</a>

		<?if ($items->results):?>
			<?= Form::open('hdl/sensor/delete', 'POST', array('style' => 'display: inline-block')) ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', 'all')?>

				<?= Form::submit('Удалить все', array('class' => 'btn btn-danger')) ?>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars() )->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars() )->render()?>
	</footer>
</body>
</html>