
var selector = {
	structure : {},

	onchange : function(selected, self){	
		element_id = '#' + $(selected).attr('id')
		element_val = $(selected).val()

		next_element = self.structure[element_id]['next']

		if (next_element == null)
			return

		// сбрасываем последующие поля
		while (next_element != null) {
			if (typeof(self.structure[next_element]['multi']) == 'undefined') {
				$(next_element + ' option').each(function() {
					$(this).remove();
				});
			} else
				$(next_element).empty();

			next_element = self.structure[next_element]['next']
		}

		if (element_val == '')
			return

		// заполняем последующее поле
		next_element = self.structure[element_id]['next']

		// если след элемент следует за первым
		if (self.structure[element_id]['prev'] == null){
			self.structure[next_element]['parent'] = self.structure[element_id]['data'][element_val]
			self.structure[next_element]['parent']['key'] = element_val;

			data_key = self.structure[element_id]['data'][element_val][self.structure[element_id]['fkey']];

			if (typeof(data_key) == 'undefined')
				data_key = element_val
		} else {
			parent_key = self.structure[element_id]['parent'][self.structure[self.structure[element_id]['prev']]['fkey']]

			if (typeof(parent_key) == 'undefined')
				parent_key = self.structure[element_id]['parent']['key']

			self.structure[next_element]['parent'] = self.structure[element_id]['data'][parent_key][element_val]
			self.structure[next_element]['parent']['key'] = element_val;

			data_key = self.structure[next_element]['parent']['key'];
		}

		// если след элемент select box
		if (typeof(self.structure[next_element]['multi']) == 'undefined') {
			select_item = $('<option></option>').attr('value', '').text('-------------')
			$(next_element).append(select_item)

			selected_old = null

			if (typeof(data_key) != 'object')
				data_key = [data_key]

			for (var i = 0; i <= data_key.length; i++) {
				for (var id in self.structure[next_element]['data'][data_key[i]]) {
					if (id == 'old')
						continue;
					
					select_item = $('<option></option>').attr('value', id).text(self.structure[next_element]['data'][data_key[i]][id]['title'])

					if (self.structure[next_element]['data']['old'] == id){
						selected_old = next_element
						select_item.attr('selected', 'selected')
					}

					$(next_element).append(select_item)
				}
			}


			// эмитируем клик если есть знаечение с прошлой формы
			if (selected_old != null)
				$(selected_old).change();

		} else { // если след элемент многозначное поле
			next_el_id = next_element.substr(1)


			if (typeof(data_key) != 'object')
				data_key = [data_key]

			for (var i = 0; i <= data_key.length; i++) {
				for (var id in self.structure[next_element]['data'][data_key[i]]) {
					if (id == 'old')
						continue;
					
					title = self.structure[next_element]['data'][data_key[i]][id]['title']
					
					if (self.structure[next_element]['multi_type'] == 'checkbox') {
						input_item = $('<input>').attr({id: next_el_id+'_'+id, name : next_el_id+'['+id+']', value: id, type : 'checkbox'}).before(title + ': ').before('<br/>')
					} else {
						input_item = $('<div class="input-prepend"><span class="add-on">'+ title +':</span></div>').append($('<input>').attr({id: next_el_id+'_'+id, name : next_el_id+'['+id+']', type : 'text'}))
					}

					if (self.structure[next_element]['data']['old'] != null)
						if (typeof(self.structure[next_element]['data']['old'][id]) != 'undefined')
							if (self.structure[next_element]['multi_type'] == 'checkbox')
								input_item.attr({checked: 'checked'})
							else
								input_item.find('input').val(self.structure[next_element]['data']['old'][id])

					$(next_element).append(input_item)
				}
			}
		}
	},

	start: function() {
		var self = this

		// получаем первый элемент
		element = Object.keys(this.structure)[0];

		while (element != null) {
			// регистрируем onchange обработчик
			$(element).change(function() {
				self.onchange(this, self)
			})

			element = this.structure[element]['next']
		}

		element = Object.keys(this.structure)[0];

		$(element).append($('<option></option>').attr('value', '').text('-------------'))

		// заполняем первое поле
		for (var id in this.structure[element]['data']) {
			if (id == 'old')
				continue;

			select_item = $('<option></option>').attr('value', id).text(this.structure[element]['data'][id]['title'])

			if (this.structure[element]['data']['old'] == id)
				select_item.attr('selected', 'selected')

			$(element).append(select_item)
		}

		// принудительно запускаем onchange если есть данные от формы
		if (this.structure[element]['data']['old'] != '')
			$(element).change();
	},
};
