<?php namespace App\Libs;

Class Translit {

	static $converter = array(
		'а' => 'a',  'б' => 'b',  'в' => 'v',
		'г' => 'g',  'д' => 'd',  'е' => 'e',
		'ё' => 'e',  'ж' => 'j',  'з' => 'z',
		'и' => 'i',  'й' => 'y',  'к' => 'k',
		'л' => 'l',  'м' => 'm',  'н' => 'n',
		'о' => 'o',  'п' => 'p',  'р' => 'r',
		'с' => 's',  'т' => 't',  'у' => 'u',
		'ф' => 'f',  'х' => 'h',  'ц' => 'c',
		'ч' => '4',  'ш' => '6',  'щ' => 'j',
		'ь' => "'",  'ы' => 'y',  'ъ' => "'",
		'э' => 'e',  'ю' => 'u',  'я' => '9',
		'А' => 'A',  'Б' => 'B',  'В' => 'V',
		'Г' => 'G',  'Д' => 'D',  'Е' => 'E',
		'Ё' => 'E',  'Ж' => 'J',  'З' => 'Z',
		'И' => 'I',  'Й' => 'Y',  'К' => 'K',
		'Л' => 'L',  'М' => 'M',  'Н' => 'N',
		'О' => 'O',  'П' => 'P',  'Р' => 'R',
		'С' => 'S',  'Т' => 'T',  'У' => 'U',
		'Ф' => 'F',  'Х' => 'H',  'Ц' => 'C',
		'Ч' => '4',  'Ш' => '6',  'Щ' => 'J',
		'Ь' => "'",  'Ы' => 'Y',  'Ъ' => "'",
		'Э' => 'E',  'Ю' => 'U',  'Я' => '9',
		'-' => '_',  ' ' => '_',
	);

	public static function convert($string)
	{
		return strtr($string, self::$converter);
	}

	public static function low_convert($string)
	{
		return strtolower(self::convert($string));
	}
}