<?php namespace App\Models\HDL;

use App\Models\EloquentFix;

class AnswerBackParam extends EloquentFix {
	public static $table = 'hdl_answerback_param';

	public static $connection = 'mysql_read';

	public function answerback()
	{
		return $this->belongs_to('App\Models\HDL\AnswerBack', 'answerback_id');
	}

	public $internal_commandparams = array();

	/**
	 * Magic getter method for 'commandparams' attribute
	 * 
	 * @return array
	 */
	public function get_commandparams()
	{
		if (!empty($this->internal_commandparams))
			return $this->internal_commandparams;

		$this->internal_commandparams = json_decode($this->get_attribute('commandparams'), true);

		return $this->internal_commandparams;
	}

	/**
	 * Magic setter method for 'commandparams' attribute
	 * 
	 * @return null
	 */
	public function set_commandparams($commandparams)
	{
		if (is_array($commandparams))
		{
			$this->internal_commandparams = $commandparams;
			$new_value = json_encode($commandparams);
		} else 
			$new_value = $commandparams;

		$this->set_attribute('commandparams', $new_value);
	}

}