<?php namespace App\Models\HDL;

use App\Models\HDL\BaseCommand;

class Command extends BaseCommand {
	public static $table = 'hdl_command';

	public static $connection = 'mysql_read';

	public static $answerback_pivot_table = 'command_answerback';

	public function device_type()
	{
		return $this->belongs_to('App\Models\HDL\DeviceType', 'device_type_id');
	}

	public function answerbacks()
	{
		return $this->has_many_and_belongs_to('App\Models\HDL\AnswerBack', self::$answerback_pivot_table);
	}

	public function params()
	{
		return $this->has_many('App\Models\HDL\CommandParam', 'command_id');
	}
}