<?php namespace App\Models\HDL;

use App\Models\BaseReference;

class Group extends BaseReference {

	public static $table = 'hdl_control_group';

	public static $connection = 'mysql_read';

	public function sensors()
	{
		return $this->has_many('App\Models\HDL\Sensor', 'group_id');
	}

	public function switchers()
	{
		return $this->has_many('App\Models\HDL\Switcher', 'group_id');
	}
}