<?=View::make('inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('inc.header', get_defined_vars() )->render()?>

	<div class="container">
		<div class="row">
			<div class="offset4 span3">

			<?	if($errors->has('user_login_fail'))
					echo '<span class="label label-warning">Ошибка</span> Не верный логин или пароль<br/><br/>';
			?>

			<?= Form::open() ?>
				<?= Form::token() ?>
				
				<?	if($errors->has('name'))
						echo $errors->first('name');
				?>

				<?= Form::text('name', Input::old('name'), array('placeholder' => 'Login', 'class' => 'input-xlarge')) ?>

				<?	if($errors->has('password'))
						echo '<br/>', $errors->first('password');
				?>

				<?= Form::password('password', array('placeholder' => 'Пароль', 'class' => 'input-xlarge')) ?> <br/>

				<?= Form::submit('Enter', array('class' => 'btn btn-primary offset1')) ?>
			<?= Form::close() ?>
			</div>
		</div>
	</div>

	<?=View::make('inc.scripts', get_defined_vars() )->render()?>
</body>
</html>