<?= Form::open(null, 'POST', array('id' => 'add_control_form')) ?>
	<?= Form::token() ?>

	<?if(!$create):?>
		<?= Form::hidden('id', $item->id)?>
	<?endif;?>
	
	<?	if($errors->has('title'))
			echo $errors->first('title'), '<br/>';
	?>

	<div class="input-prepend">
		<span class="add-on">Name:&nbsp;&nbsp;&nbsp;</span>
		<input name="title" class="span4" type="text" value="<?Input::old('title') || $create ? Input::old('title') : $item->title?>">
	</div><br/>

	<?	if($errors->has('group'))
			echo $errors->first('group'), '<br/>';
	?>

	<?
		$groups_array = array();

		foreach ($groups as $group)
			$groups_array[$group->id] = $group->title;
	?>

	<div class="input-prepend">
		<span class="add-on">Group:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>

		<?= Form::select('group', $groups_array, ( Input::old('group') || $create ? Input::old('group') : $item->group_id ), array('id' => 'group', 'multiple' => 'multiple', 'data-placeholder' => 'Choose or add group', 'style' => 'width:356px;'))?>
	</div>

	<?	if($errors->has('device'))
			echo $errors->first('device'), '<br/>';
	?>

	<div class="input-prepend">
		<span class="add-on">Device:</span>
		<?= Form::select('device', array(), null, array('id' => 'device', 'class' => 'span4'))?>
	</div><br/>

	<?	if($errors->has('command'))
			echo $errors->first('command'), '<br/>';
	?>

	<div class="input-prepend">
		<span class="add-on">Command:&nbsp;&nbsp;</span>
		<?= Form::select('command', array(), null, array('id' => 'command', 'class' => 'span4'))?>
	</div><br/>


	<?	if($errors->has('params'))
			echo $errors->first('params'), '<br/>';
	?>
	
	<div class="well"><span class="tag">parameters</span><div id='params'></div></div>

	<?= Form::hidden('type', Input::get('type')) ?>
<?= Form::close() ?>

<?if(!$create){$switcher=$item;}?>
<?=View::make('hdl.switcher.script', get_defined_vars())->render()?>

<?/* добавляем библиотеку для работы с командами устройства и праметрами команды */?>
<?=HTML::script('/js/boogeyman/hdl/selector.js');?>
<?=HTML::script('/js/boogeyman/hdl/switcher/create.js');?>
<?=HTML::script('/js/chosen/chosen.jquery.js');?>
<?=HTML::style('/style/chosen/chosen.css');?>

<script>
	if(window.jQuery)
		$("#group").chosen({
			no_results_text: "Group is not found, you can add it",
			max_selected_options: 1,
		});
</script>