<div class="item_box switcher_box">
	<span class="tag"><?if (!empty($switcher->switch_type)){echo $switcher->switch_type;}?></span>
	<div class="item_knob_cont">
		<?= Form::open(null, 'POST', array('class' => 'switcher_'. $switcher->id)) ?>
		<?= Form::token() ?>

		<?= Form::hidden('switch_id', $switcher->id)?>

			<input type="submit" class="knob" data-angleOffset="-125" data-angleArc="250" data-linecap="round" data-width="90"
			<?if ($switcher->main_param->type == $param_type_range):?>
				data-min="<?=$switcher->main_param->range_start;?>"
				data-max="<?=$switcher->main_param->range_stop;?>"
			<?endif;?>

			<?if ($switcher->main_param->type == $param_type_toggle):?>
				data-min="<?=$switcher->main_param->toggle_off;?>"
				data-max="<?=$switcher->main_param->toggle_on;?>"
			<?endif;?>
			name="switcher_param[<?=$switcher->main_param->id;?>]"
			<?if ($switcher->device->device_type->code == 'universal_switch'):?>
				value="<?= $switcher->params[$switcher->main_param->id] ? $switcher->main_param->toggle_on : $switcher->main_param->toggle_off;?>"
			<?else:?>
				value="<?= $switcher->params[$switcher->main_param->id]?>"
			<?endif;?>
			data-fgColor="#66CC66"
			<?if (in_array($switcher->device->device_type->code, array('rele', 'universal_switch'))):?>
				data-readOnly="true"
			<?endif;?>
			data-device-type="<?=$switcher->device->device_type->code;?>"
			/>
		<?= Form::close() ?>
	</div>
	<div class="item_descr_cont">
		<?=$switcher->title?>
	</div>
</div>