<div class="navbar navbar-fixed-top">
	<div class="navbar-inner">
		<div class="container-fluid">
			<a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</a>
			<a class="pull-left" href="/system"><img src="/img/main/logo.png"></a>
			<div class="btn-group pull-right">
				<?if (Auth::user()):?>
					<a class="btn dropdown-toggle" data-toggle="dropdown" href="#">
						<i class="icon-user"></i> <?= Auth::user()->name;?>
						<span class="caret"></span>
					</a>
					<ul class="dropdown-menu">
						<li><a href="/logout">Exit</a></li>
					</ul>
				<?endif;?>
			</div>

			<?if (Auth::user()):?>
				<?if (!Auth::user()->is_simple_client()):?>
					<div class="btn-group pull-right add-controller-group">
						<a class="btn btn-info dropdown-toggle" data-toggle="dropdown" href="#">
							Add
							<span class="caret"></span>
						</a>
						<ul class="dropdown-menu">
							<li><a class="add_control_link" data-type="switcher" href="#">Switch</a></li>
							<li class="divider"></li>
							<li><a class="add_control_link" data-type="sensor" href="#">Sensor</a></li>
						</ul>
					</div>

					<a href="/home/devices" class="btn btn-info pull-right <? echo $_SERVER['REQUEST_URI'] == '/home/devices' ? 'disabled' : ''?>">Search devices</a>
					<a href="/docs" class="btn pull-right <? echo $_SERVER['REQUEST_URI'] == '/docs' ? 'disabled' : ''?>" style="margin-right:5px;">Help</a>
				<?endif;?>
			<?endif;?>

			<div class="nav-collapse">
				<?
					if(Auth::user())
						if (!Auth::user()->is_simple_client())
							echo MenuHandler::menu(array_keys(Auth::user()->permissions['groups']))->items()->render(array('class' => 'nav'));
				?>
			</div><!--/.nav-collapse -->
		</div>
	</div>
</div>