<?=View::make('system.inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars() )->render()?>

	<div class="container-fluid">
		<h1>Network/IP</h1>

		<? if($errors->has('success')):?>
			<div class="alert alert-success">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
				<strong>Network settings saved.</strong>
			</div>
		<?endif;?>

		<? if($errors->has('interfaces')):?>
			<div class="alert alert-error">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
				<strong>Error!</strong> <?=$errors->first('interfaces');?>
			</div>
		<?endif;?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?	if($errors->has('address'))
					echo  '<span class="label label-warning">Ошибка</span> '. $errors->first('address'), '<br/>';
			?>

			<?= Form::label('address', 'Address: ') ?>
			<?= Form::text('address', ( Input::old('address') ? Input::old('address') : @$settings['address'] )) ?> <br/><br/>

			<?	if($errors->has('netmask'))
					echo  '<span class="label label-warning">Ошибка</span> '. $errors->first('netmask'), '<br/>';
			?>

			<?= Form::label('netmask', 'Netmask: ') ?>
			<?= Form::text('netmask', ( Input::old('netmask') ? Input::old('netmask') : @$settings['netmask'] )) ?> <br/><br/>

			<?	if($errors->has('gateway'))
					echo  '<span class="label label-warning">Ошибка</span> '. $errors->first('gateway'), '<br/>';
			?>

			<?= Form::label('gateway', 'Gateway: ') ?>
			<?= Form::text('gateway', ( Input::old('gateway') ? Input::old('gateway') : @$settings['gateway'] )) ?> <br/><br/>

			<?= Form::submit('Save', array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>

	</div>

	<?=View::make('system.inc.scripts', get_defined_vars() )->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars() )->render()?>
	</footer>
</body>
</html>