<?=View::make('inc.meta', get_defined_vars() )->render()?>
<link href="/style/docs/docs.css" rel="stylesheet">

<body data-spy="scroll" data-target=".bs-docs-sidebar">
	<?=View::make('inc.header', get_defined_vars() )->render()?>

	<div class="container">
		<div class="row">
			<div class="span3">
				<div class="sidebar-nav bs-docs-sidebar" data-spy="affix" data-offset-top="30">
					<ul class="nav nav-list bs-docs-sidenav affix">
						<li><a href="#1">Информация о продукте<i class="icon-chevron-right"></i></a></li>
						<li><a href="#2">Установка<i class="icon-chevron-right"></i></a></li>
						<li><a href="#3">Настройка<i class="icon-chevron-right"></i></a></li>
						<li><a href="#4">Интерфейс пользователя<i class="icon-chevron-right"></i></a></li>
					</ul>
				</div>
			</div>

			<div class="span9">
				<section id="1">
					<div class="page-header"><h2>1. Информация о продукте</h2></div>

					<p>Онлайн Контроллер Smart-Bus предоставляет простой в использовании графический интерфейс для доступа к шине Smart-Bus (Smart-bus g4). Онлайн Контроллер Smart-Bus позволяет контролировать и управлять устройствами шины находясь дома (внутри сети), либо удалено через интернет с <b>любых компьютеров и мобильных устройств</b>.</p>

					<p>
						Онлайн Контроллер Smart-Bus позволяет:
						<ul>
							<li><span class="text-success">Мониторить и контролировать освещение.</span></li>
							<li><span class="text-success">Мониторить и контролировать универсальные переключатели.</span></li>
							<li><span class="text-success">Мониторить показания различных сенсоров</span></li>
							<li><span class="text-success">Выполнять поиск устройств шины.</span></li>
							<li><span class="text-success">Управлять уровнями доступа к интерфейсу</span></li>
							<li><span class="muted">Выполнять резервное копирование настроек и восстановление из резервной копии.</span></li>
						</ul>
					</p>

					<div id="1.1" class="page-header"><h3>1.1. Комплектация</h3></div>
					<p>
						<dl class="dl-horizontal">
							<dt><span class="text-rasberry">rasbery home</span> контроллер</dt>
							<dd>Контроллер подключаемый к шине дома посредством LAN порта.</dd>
							<dd>Контроллер предоставляется с корпусом.</dd>
							<dt>SD карта</dt>
							<dd>Содержит необходимое програмное обеспечение.</dd>
							<dt>Блок питания</dt>
							<dd>Блок питания для контроллера</dd>
							<dt>Кабель Cat.5e</dt>
							<dd>Для подключения контроллера к шине дома.</dd>
						</dl>
					</p>
					<p>[вставить схемку устройства]</p>
				</section>

				<section id="2">
					<div class="page-header"><h2>2. Установка</h2></div>
					<div id="2.1" class="page-header"><h3>2.1. Топология подключения</h3></div>

					<div id="2.1.1"><h5>Условия:</h5></div>
					<blockquote>
						<p class="text-warning">1. Для подключения контроллера к шине необходимо наличие IP интерфейса в шине дома.</p>
						<p class="text-warning">2. Необходимо наличие локальной сети.</p>
						<p class="text-warning">3. Для управления с мобильных устройств необходимо наличие локальной WI-FI сети.</p>
					</blockquote>

					<div id="2.1.2"><h5>Вариант 1</h5></div>

					<p>
						Данный вариант является самым простым, но предполагает что в локальной сети дома есть роутер к которому подключен IP интерфейс. В таком случае контроллер нужно подключить к свободному LAN порту роутера. Настраиваем IP адрес роутера, IP адрес контроллера и IP интерфейса, чтобы их подсети совпадали. Сменить подсеть на роутере возможно через прилагаемое программное обеспечение к роутеру. Сменить IP адрес на интерфейсе позволяет программное обеспечение от производителя. Сменить IP адрес контроллера можно подключившись удалено через ssh, либо подключив монитор выполнить настройку через визуальный интерфейс.
					</p>
					
					<img src="/img/docs/2.1.2.png" alt="вариант подключения 1"/><br/><br/>

					<div id="2.1.3"><h5>Вариант 2</h5></div>

					<p>
						Данный вариант предполагает что в локальной сети дома есть роутер к которому подключен IP интерфейс а у контроллера имеется WI-FI модуль. В таком случае WI-FI модуль контроллера должен быть подключен к внутренней WI-FI сети дома. Настраиваем IP адрес роутера и IP интерфейса, чтобы их подсети совпадали. Сменить подсеть на роутере возможно через прилагаемое программное обеспечение к роутеру. Сменить IP адрес на интерфейсе позволяет программное обеспечение от произволителя. Настройку подключения к WI-FI сети на контроллере можно осуществить подключившись к нему удалено через ssh, либо подключив монитор через визуальный интерфейс.
					</p>

					<img src="/img/docs/2.1.3.png" alt="вариант подключения 2"/><br/><br/>

					<div id="2.1.4"><h5>Вариант 3</h5></div>

					<p>
						Данный вариант сложнее для реализации, а также требует наличия у контроллера WI-FI модуля. В таком случае контроллер напрямую подключается к IP интерфейсу шины. А для подключения к контроллеру с других устройств нужно, чтобы WI-FI модуль контроллера был подключен к внутренней WI-FI сети. По прежнему подсеть IP интерфейса должна совпадать с подсетью контроллера. Сменить IP адрес на интерфейсе позволяет программное обеспечение от производителя. Сменить IP адрес контроллера, а также настроить WI-FI можно подключившись удаленно через ssh, либо подключив монитор и выполнить настройку через визуальный интерфейс.
					</p>

					<img src="/img/docs/2.1.4.png" alt="вариант подключения 2"/><br/><br/>

					<br/>
					<blockquote>
						<p class="text-info">По умолчанию адрес контроллера 192.168.10.106, маска 255.255.255.0</p>
					</blockquote>

					Рекомендуется использовать <b>вариант 1</b> в силу его простоты и не нужности WI-FI модуля.

					<br/>
					<div id="2.1.5"><h5>Подключение через интернет</h5></div>

					Все варианты подключения контроллера позволяют управлять системой через интернет. Для этого на роутере необходимо воспользоваться технологией port fowarding для передачи входящих подключений на контроллер rasberry home. Обычно в веб интерфейсах роутера можно это настроить. Необходимо пробрасывать входящие подключения на 80 порт на адрес контроллера rasberry home.

					<div id="2.2" class="page-header"><h3>2.2. Установка</h3></div>


					<div id="2.2.1"><h5>Место установки</h5></div>
					Важно выбрать подходящее место для установки контроллера.

					<ul>
						<li>Контроллер предназначен только для использования в помещениях.</li>
						<li>Контроллер можно закрепить на стену.</li>
						<li>Выберите сухое помещение.</li>
						<li>Разведите сетевые провода, чтобы они не мешались.</li>
					</ul>

					<br/>
					<div id="2.2.2"><h5>Пошаговое руководство включения</h5></div>

					<ol>
						<li>Подключите ethernet кабель в LAN порт контроллера (для вариантов подключения 1 и 3).</li>
						<li>Подключите WI-FI модуль (для вариантов подключения 2 и 3).</li>
						<li>Положите контроллер на ровную поверхность, либо закрепите на стене.</li>
						<li>Подключите блок питания. Проверьте что загорелись светодиодные индикаторы.</li>
						<li>Подождите пару минут пока система запускается.</li>
						<li>Введите в браузере адрес контроллера и переходите к настройке.</li>
					</ol>
				</section>

				<section id="3">
					<div class="page-header"><h2>3. Настройка</h2></div>

					Теперь вы готовы настроить контроллер. И собрать свою личную панель управления домом. Достаточно открыть браузер и ввести <a target="_blank" href="/">http://192.168.10.106/</a>.

					<div id="3.1" class="page-header"><h3>3.1. Авторизация и внешний доступ</h3></div>
					<p>
						<div id="3.1.1"><h5>Авторизация</h5></div>

						Для изменения настроек необходимо авторизоваться по адресу <a target="_blank" href="/login">http://192.168.10.106/login</a>. В системе по умолчанию заведены 2 пользователя: <b>client</b> и <b>installer</b> пароль для обоих <b>123123</b>. Пользователь <b>installer</b> используется для изменения настроек контроллера. Пользователь <b>client</b> нужен для авторизированного доступа к интерфейсу управления домом через интернет. По умолчанию интерфейс управления домом доступен без авторизации.

					</p>
					<p>
						<div id="3.1.2"><h5>Доступ через интернет</h5></div>

						Для организации доступа к интерфейсу управления через интернет необходимо настроить роутер. Смотрите пункт <a href="#2.1.5">Подключение через интернет</a>. После того как интерфейс стал доступен через интернет имеет смысл позволять управлять домом только после авторизации.
						<br/>
						<br/>
						Для включения этой опции нужно:
						<ol>
							<li>Авторизоваться под пользователем installer. Смотрите пункт <a href="#3.1.1">авторизация</a></li>
							<li>Через меню сверху перейти в "Система"->"Группы" (<a target="_blank" href="/system/group/index">http://192.168.10.106/system/group/index</a>)</li>
							<li>Нажать кнопку "Редактировать" напротив группы <b>"Гости"</b></li>
							<li>Снять галочку напротив <b>"Auto: home@index"</b> и сохранить изменения</li>
						</ol>

						Теперь для доступа к интерфейсу управления домом необходимо пройти авторизацию под пользователем <b>client</b>.

						<br/>
						<br/>
						Далее в целях <b>безопасности</b> нужно сменить пароль для этого пользователя.

						<ol>
							<li>Через меню сверху перейти в "Система"->"Аккаунты" (<a target="_blank" href="/system/account/index">http://192.168.10.106/system/account/index</a>)</li>
							<li>Нажать кнопку "Редактировать" напротив пользователя <b>"client"</b></li>
							<li>В поле <b>"Пароль"</b> ввести новый пароль и сохранить изменения</li>
						</ol>
					</p>

					<div id="3.2" class="page-header"><h3>3.2. Поиск и добавление устройств сети</h3></div>

					<p>
						<div id="3.2.1"><h5>Поиск устройств</h5></div>

						В систему встроен механизм сканирования и поиска подключенных устройств. Авторизовавшись под пользователем <b>installer</b> перейдите на страницу поиска устройств через кнопку "Поиск устройств" в верхнем меню (<a target="_blank" href="/home/devices">http://192.168.10.106/home/devices</a>). При нажатии на кнопку <b>"Найти устройства"</b> запуститься поиск. По мере нахождения на экране будут появлятся блоки с информацией об устройстве и кнопкой <b>"добавить"</b> для быстрого добавления устройства в систему.<br/><br/>

						<img src="/img/docs/3.2.png" alt="Добавление переключателя"/><br/><br/>
					</p>

					<blockquote>
						<p class="text-warning">Сканирование с первого раза может найти не все устройства сети. Поэтому попробуйте несколько раз нажать кнопку "Найти устройства" без перезагрузки страницы.</p>
					</blockquote>
					<blockquote>
						<p class="text-warning">Если устройство все равно не было найдено вы можете воспользоваться ручным способом добавления.</p>
					</blockquote>

					<p>
						<div id="3.2.2"><h5>Добавление (удаление, редактирование) устройств</h5></div>

						Авторизуйтесь под пользователем <b>installer</b>, чтобы управлять устройствами. На страницу управления устройства можно попасть через меню сверху "HDL"->"Устройства" (<a target="_blank" href="/hdl/device/index">http://192.168.10.106/hdl/device/index</a>). Кнопка <b>"Добавить"</b> открывает форму добавления устройства  где нужно заполнить:

						<ul>
							<li>Название устройства</li>
							<li>Номер подсети устройства</li>
							<li>Номер устройства</li>
							<li>Тип устройства</li>
						</ul>

						Через кнопку <b>"Редактировать"</b> можно отредактировать другие устройства или удалить.
						<br/>
						<br/>
						<blockquote>
							<p class="text-warning">При удалении устройств удаляются и другие компоненты которые используют это устройство, поэтому будьте аккуратны.</p>
						</blockquote>
					</p>

					<div id="3.3" class="page-header"><h3>3.3. Добавление элементов управления домом</h3></div>

					<p>После добавления устройств можно добавлять элементы управления домом. Элементы управления домом представляют из себя некие примитивы с которыми люди привыкли взаимодействовать. На текущий момент доступные примитивы это <b>переключатель(выключатель)</b> и <b>сенсор</b>.</p>
					<p>Логика работы <b>переключателя</b> зависит от устройства которым он управляет. Например управляя реле переключатель может только включить или выключить канал, управляя логическим контроллером переключатель может менять состояния логических переменных(universal switchers) а управляя диммером переключатель может регулировать напряжение канала.</p>

					<p>У <b>сенсоров</b> логика работы едина: сенсор с опредленным периодом запрашивает у устройства показания сенсора или устройство само оповещает систему об изменении показания сенсоров. </p>

					<p>
						<br/>
						<div id="3.3.1"><h5>Добавление (удаление, редактирование) переключателей и сенсоров</h5></div>

						Авторизуйтесь под пользователем <b>installer</b>, чтобы управлять переключателями и сенсорами. Для быстрого добавления воспользуйтесь кнопкой <b>"Добавить"</b> в правой верхней части страницы. После выбора типа добавляемого элемента загрузится форма в которой  нужно заполнить поля в порядке следования:

						<ul>
							<li>Название</li>
							<li>Группа - выбор из списка или свободный ввод</li>
							<li>Устройство - выбор из списка</li>
							<li>Команда - выбор из списка команд которые доступны данному устройству</li>
							<li>Параметры - набор полей которые характеризуют параметры команды</li>
						</ul>

						Указывать группу не обязательно. Если в списке нету групп или нету подходящей, тогда группу можно создать написав желаемое имя группы в данном поле и при добавлении переключателя(сенсора) группа создается автоматически. Редактировать и добавлять новые группы можно на странице "HDL"->"Группы" (<a target="_blank" href="/hdl/group/index">http://192.168.10.106/hdl/group/index</a>). У группы можно поменять название и порядок сортировки (вес).<br/><br/>

						После добавления элемент появляется в интерфейсе пользователя (главная страница). Затем система попытается определить состояние элемента. Таким образом сразу после добавления вы получаете актуальную информацию от текущем состоянии.<br/><br/>

						<img src="/img/docs/3.3.png" alt="Добавление переключателя"/><br/><br/>

						Для перехода к списку сенсоров или переключателей воспользуйтесь меню сверху "HDL"->"Переключатели" или "Сенсоры". На данной странице вы можете отредактировать имеющийся переключатель(сенсор) или удалить его. При редактировании переключателя(сенсор) загружается форма аналогичная форме при добавлении.

					</p>
				</section>

				<section id="4">
					<div class="page-header"><h2>4. Интерфейс пользователя</h2></div>

					<p>Добавленные выключатели или сенсоры располагаться на главной странице. Выключатели помечены зеленым цветом а сенсоры синим. Если переключатель управляет диммером то можно выбрать уровень напряжения кликнув на полукруге. Для реле и uniwersal switcher доступно только "включить" и "выключить"</p>

					<p>Изменения состояния устройств в доме в реальном времени отображаются в интерфейсе пользователя без перезагрузки страницы.</p>

					<img src="/img/docs/4.png" alt="Интерфейс"/>

					<p>Не пустые группы отображатся на главной странице после элементов без групп. Группа отображает свое название и количество элементов в ней. При нажатии группа раскрывается и отображает свои элементы. Так же можно скрыть элементы группы. Данная функция позволяет удобно управлять большим количеством элементов.</p>
					
					<img src="/img/docs/4.1.png" alt="Интерфейс с группами"/>
					<br/><br/>
					<img src="/img/docs/4.2.png" alt="Интерфейс с группами"/>

				</section>

			</div>
		</div>
	</div>

	<?=View::make('inc.scripts', get_defined_vars() )->render()?>
</body>
</html>