<?=View::make('system.inc.meta', get_defined_vars())->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars())->render()?>

	<div class="container-fluid">

		<h1><?= ($create ? 'Create answerback' : 'Edit answerback')?></h1>

		<?	if($errors->has('model_create_fail'))
				echo 'model create fail<br/>';
		?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?if(!$create):?>
				<?= Form::hidden('id', $answerback->id)?>
			<?endif;?>
			
			<?	if($errors->has('title'))
					echo $errors->first('title'), '<br/>';
			?>

			<?= Form::label('title', 'Title: ') ?>
			<?= Form::text('title', ( Input::old('title') || $create ? Input::old('title') : $answerback->title )) ?> <br/><br/>


			<?	if($errors->has('code'))
					echo $errors->first('code'), '<br/>';
			?>

			<?= Form::label('code', 'Code: ') ?>
			<?= Form::text('code', ( Input::old('code') || $create ? Input::old('code') : $answerback->code )) ?> <br/><br/>

			<?	if($errors->has('operate_code'))
					echo $errors->first('operate_code'), '<br/>';
			?>

			<?= Form::label('operate_code', 'Operate code: ') ?>
			<?= Form::text('operate_code', ( Input::old('operate_code') || $create ? Input::old('operate_code') : $answerback->operate_code )) ?> <br/><br/>


			<?	if($errors->has('multi_mask'))
					echo $errors->first('multi_mask'), '<br/>';
			?>

			<?= Form::label('multi_mask', 'Multi mask: ') ?>
			<?= Form::text('multi_mask', ( Input::old('multi_mask') || $create ? Input::old('multi_mask') : $answerback->multi_mask )) ?> <br/><br/>


			<?	if($errors->has('commands'))
					echo $errors->first('commands'), '<br/>';
			?>

			<?= Form::label('commands', 'Commands: ') ?>

			<?if ($create):?>
				<?$old_cmds = Input::old('commands'); $old_cmds = !empty($old_cmds) ? $old_cmds : array();?>
				<?foreach ($commands as $command):?>
					<?= Form::checkbox('commands[]', $command->id, in_array($command->id, $old_cmds) ? true : false);?> <?=$command->title?><br/>
				<?endforeach;?>
			<?else:?>
				<?foreach ($commands as $command):?>
					<?= Form::checkbox('commands[]', $command->id, (in_array($command->id, $answerback->commands) ? true : false));?> <?=$command->title?><br/>
				<?endforeach;?>
			<?endif;?>

			<?= Form::submit(($create ? 'create' : 'save'), array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>


		<?if(!$create):?>
			<?= Form::open('hdl/answerback/delete') ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', $answerback->id)?>

				<?= Form::submit('delete', array('class' => 'btn btn-danger')) ?>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars())->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars())->render()?>
	</footer>
</body>
</html>