<?=View::make('system.inc.meta', get_defined_vars())->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars())->render()?>

	<div class="container-fluid">

		<h1><?= ($create ? 'Create answerback param' : 'Edit answerback param')?></h1>

		<?	if($errors->has('model_create_fail'))
				echo 'model create fail<br/>';
		?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?if(!$create):?>
				<?= Form::hidden('id', $answerbackparam->id)?>
			<?endif;?>
			
			<?	if($errors->has('title'))
					echo $errors->first('title'), '<br/>';
			?>

			<?= Form::label('title', 'Title: ') ?>
			<?= Form::text('title', ( Input::old('title') || $create ? Input::old('title') : $answerbackparam->title )) ?> <br/><br/>


			<?	if($errors->has('value'))
					echo $errors->first('value'), '<br/>';
			?>

			<?= Form::label('value', 'Value: ') ?>
			<?= Form::text('value', ( Input::old('value') || $create ? Input::old('value') : $answerbackparam->value )) ?> <br/><br/>

			<?	if($errors->has('offset'))
					echo $errors->first('offset'), '<br/>';
			?>

			<?= Form::label('offset', 'Offset: ') ?>
			<?= Form::text('offset', ( Input::old('offset') || $create ? Input::old('offset') : $answerbackparam->offset )) ?> <br/><br/>

			<?	if($errors->has('size'))
					echo $errors->first('size'), '<br/>';
			?>

			<?= Form::label('size', 'Size: ') ?>
			<?= Form::text('size', ( Input::old('size') || $create ? Input::old('size') : $answerbackparam->size )) ?> <br/><br/>

			<?	if($errors->has('type'))
					echo $errors->first('type'), '<br/>';
			?>

			<?
				$select_array = array();

				foreach ($types as $key => $val)
					$select_array[$val] = $key;
			?>

			<?= Form::label('type', 'Type: ') ?>
			<?= Form::select('type', $select_array, ( Input::old('type') || $create ? Input::old('type') : $answerbackparam->type ))?><br/><br/>


			<?	if($errors->has('success_true'))
					echo $errors->first('success_true'), '<br/>';
			?>

			<?= Form::label('success_true', 'Success TRUE: ') ?>
			<?= Form::text('success_true', ( Input::old('success_true') || $create ? Input::old('success_true') : $answerbackparam->success_true )) ?> <br/><br/>

			<?	if($errors->has('success_false'))
					echo $errors->first('success_false'), '<br/>';
			?>

			<?= Form::label('success_false', 'Success FALSE: ') ?>
			<?= Form::text('success_false', ( Input::old('success_false') || $create ? Input::old('success_false') : $answerbackparam->success_false )) ?> <br/><br/>


			<?	if($errors->has('answerback'))
					echo $errors->first('answerback'), '<br/>';
			?>

			<?= Form::label('answerback', 'AnswerBack: ') ?>
			<?= Form::select('answerback', array())?><br/><br/>

			<?	if($errors->has('commandparams'))
					echo $errors->first('commandparams'), '<br/>';
			?>

			<b>Commandparams</b><br/>
			<div id='commandparams'></div><br/><br/>

			<?= Form::submit(($create ? 'create' : 'save'), array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>


		<?if(!$create):?>
			<?= Form::open('hdl/answerbackparam/delete') ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', $answerbackparam->id)?>

				<?= Form::submit('delete', array('class' => 'btn btn-danger')) ?>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars())->render()?>

	<footer>
		<?=View::make('hdl.answerbackparam.script', get_defined_vars())->render()?>
		<?=View::make('system.inc.footer', get_defined_vars())->render()?>
	</footer>
</body>
</html>