<!-- Modal form for adding control element -->
<div id="add_control_modal" class="modal hide fade add_control_modal" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-header">
		<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
		<h3 id="add_control_modal_header"></h3>
	</div>
	<div class="modal-body"></div>
	<div class="modal-footer">
		<button class="btn" data-dismiss="modal" aria-hidden="true">Закрыть</button>
		<button id="add_control_btn" class="btn btn-primary">Добавить</button>
	</div>
</div>

<script>
	$(function() {
		// аяксом открываем форму для добавления управляющего элемента
		$('.add_control_link').click(function() {
			type = $(this).attr('data-type')

			if (type == 'switcher')
				$('#add_control_modal_header').text('Добавить переключатель')
			else if (type == 'sensor')
				$('#add_control_modal_header').text('Добавить сенсор')

			// посылаем запрос на форму
			$.get('/home/add_control?type='+ type, function (res) {
				$('#add_control_modal .modal-body').html(res)
				$('#add_control_modal').modal()
			});
		});

		// при нажатии на добавить формируем запрос со значениями формы
		$('#add_control_btn').click(function(){
			btn = this;

			// чистим сообщения обшибках
			$('.add_cotrol_err_msg').remove()

			form = $('#add_control_form')

			$(btn).attr('disabled', 'disabled');

			$.post(form.attr('action'), $(form).serialize(), function(res){
				console.log(res)
				if (res == 'success') {
					// пока делаем простой редирект
					document.location.href="/";
				} else {
					$(btn).removeAttr('disabled');

					// обработка ошибок формы
					res = JSON.parse(res);

					if (res.messages) {
						for (var field in res.messages)
							$('#add_control_form *[name="'+ field +'"]').parent().before('<div class="add_cotrol_err_msg"><p class="text-error">'+ res.messages[field][0] +'</p></div>')
					}
				}
			});
		});
	});
</script>