<?=View::make('system.inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars() )->render()?>

	<div class="container-fluid">

		<p class="text-center"><b>Система обновляется</b></p>
		<p class="text-center">Примерно через 30 секунд вы будете направлены на главную страницу. К этому моменту система скорее всего закончит процесс обновления.</p><br/>

		<div id="update-progress" class="progress progress-success progress-striped">
			<div class="bar" style="width: 0"></div>
		</div>

	</div>

	<?=View::make('system.inc.scripts', get_defined_vars() )->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars() )->render()?>
		<script>
			jQuery(document).ready(function() {
				var update_interval = setInterval(function () {
					$('#update-progress .bar').width($('#update-progress .bar').width() + 10)

					if ($('#update-progress .bar').width() > 2000) {
						clearInterval(update_interval)
						document.location.href = '/';
					}
				}, 500)
			})
		</script>
	</footer>
</body>
</html>